package com.platform.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.platform.entity.RecommendEntity;
import com.platform.vo.RecommendEntityVo;

import java.util.List;

/**
 * Created by Hb_zzZ on 2018/12/7.
 */
public interface RecommendService {

    int save(RecommendEntity bo);

    RecommendEntity selectById(Long id);

    int update(RecommendEntity bo);

    int delete(Long id);

    IPage<RecommendEntity> selectByType(RecommendEntityVo bo);
}
